# Install abusehelper from svn.
#
class abusehelper {

    if !$abusehelper_revision {
        fail("\$abusehelper_revision must be set.")
    }

    include svn::client
    svn::export { "/usr/local/src/abusehelper":
        source => "http://abusehelper.googlecode.com/svn/trunk",
        ensure => $abusehelper_revision,
    }

    python::setup::install { "/usr/local/src/abusehelper":
        require => Svn::Export["/usr/local/src/abusehelper"],
    }

    include user::system
    realize(User["abusehel"], Group["abusehel"])

    if $abusehelper_datadir {
        file { "${abusehelper_datadir}":
            ensure  => directory,
            mode    => 0750,
            owner   => abusehel,
            group   => abusehel,
            require => User["abusehel"],
        }

        file { "/var/lib/ah2":
            ensure  => link,
            target  => "${abusehelper_datadir}",
            require => File["${abusehelper_datadir}"],
        }
    } else {
        file { "/var/lib/ah2":
            ensure  => directory,
            mode    => 0750,
            owner   => abusehel,
            group   => abusehel,
            require => User["abusehel"],
        }
    }

}
